#!/bin/sh

# Run the bedework tools programs

# JAVA_HOME needs to be defined

dir=`dirname $0`
dir=`cd $dir; pwd`
cd $dir 

cp=.:./classes:./resources

for i in lib/*
  do
    cp=$cp:$i
done

RUNCMDPREFIX="$JAVA_HOME/bin/java -cp $cp "

APPNAME=@BW-APP-NAME@

case "$1" in
  licenses)
    shift
    $RUNCMDPREFIX "org.bedework.tools.xmlutil.LicensesUtil" $*
    ;;
  xtidy)
    shift
    $RUNCMDPREFIX "org.bedework.tools.xmlutil.XmlTidy" $*
    ;;
  *)
    echo "valid parameters:"
    echo "  licenses <in> <out>"
    echo "     run the license info program"
    echo "  xtidy <in> <out>"
    echo "     run the xmltidy program"
esac
